Bug 115891 - Unify plug-in information dictionaries
Summary: Unify plug-in information dictionaries
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on: 116018
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 22:41 PDT by Sam Weinig
Modified: 2013-05-14 14:53 PDT (History)
4 users (show)

See Also:


Attachments
Patch (61.84 KB, patch)
2013-05-09 22:53 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (61.53 KB, patch)
2013-05-09 22:56 PDT, Sam Weinig
andersca: review+
eflews.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2013-05-09 22:41:00 PDT
Unify plug-in information dictionaries
Comment 1 Sam Weinig 2013-05-09 22:53:15 PDT
Created attachment 201320 [details]
Patch
Comment 2 Sam Weinig 2013-05-09 22:56:23 PDT
Created attachment 201321 [details]
Patch
Comment 3 EFL EWS Bot 2013-05-09 23:04:48 PDT
Comment on attachment 201321 [details]
Patch

Attachment 201321 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/450058
Comment 4 Early Warning System Bot 2013-05-09 23:05:10 PDT
Comment on attachment 201321 [details]
Patch

Attachment 201321 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/450057
Comment 5 Anders Carlsson 2013-05-10 11:58:09 PDT
Comment on attachment 201321 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=201321&action=review

> Source/WebKit2/Shared/Plugins/Netscape/PluginInformation.cpp:99
> +void pluginModuleInformation(const PluginModuleInfo& plugin, ImmutableDictionary::MapType& map)

Should be called get (or just return the map.
Comment 6 Sam Weinig 2013-05-10 13:45:25 PDT
Committed r149904: <http://trac.webkit.org/changeset/149904>
Comment 7 Hugo Parente Lima 2013-05-14 14:53:09 PDT
This patch broke compilation of ports not enabling NETSCAPE_PLUGIN_API due to the use of PluginInfoStore.